DimLineInside 属性 (ActiveX)
仅指定延伸线内尺寸线的显示。 支持的平台:仅限 Windows 签名VBA: object.DimLineInside
属性值只读:不 类型:布尔
言论此属性的初始值为 。False 注意:此属性将覆盖给定维度的 DIMSOXD 系统变量的值。
例子VBA: Sub Example_DimLineInside() ' This example creates a DimAligned object in model space ' and toggles the dimension lines to be both allowed and disallowed ' outside the extension lines Dim dimObj As AcadDimAligned Dim point1(0 To 2) As Double, point2(0 To 2) As Double Dim location(0 To 2) As Double Dim CurrentValue As String ' Define the dimension point1(0) = 5: point1(1) = 5: point1(2) = 0 point2(0) = 6: point2(1) = 5: point2(2) = 0 location(0) = 5: location(1) = 7: location(2) = 0 ' Create an aligned dimension object in model space Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location) ThisDrawing.Application.ZoomAll ' Read and display current line suppression information CurrentValue = IIf(dimObj.DimLineInside, "are not", "are") MsgBox "Dimension lines " & CurrentValue & " allowed outside the extension lines" ' Suppress the display of dimension lines outside the extension lines dimObj.DimLineInside = True ThisDrawing.Regen acAllViewports MsgBox "Dimension lines are not allowed outside the extension lines" ' Allow the display of dimension lines outside the extension lines (default) dimObj.DimLineInside = False ThisDrawing.Regen acAllViewports MsgBox "Dimension lines are allowed outside the extension lines" End Sub 可视化 LISP: (vl-load-com) (defun c:Example_DimLineInside() ;; This example creates a DimAligned object in model space ;; and toggles the dimension lines to be both allowed and disallowed ;; outside the extension lines (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Define the dimension (setq point1 (vlax-3d-point 5 5 0) point2 (vlax-3d-point 6 5 0) location (vlax-3d-point 5 7 0)) ;; Create an aligned dimension object in model space (setq modelSpace (vla-get-ModelSpace doc)) (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location)) (vla-ZoomAll acadObj) ;; Read and display current line suppression information (setq CurrentValue (if (= (vla-get-DimLineInside dimObj) :vlax-true) "are not" "are")) (alert (strcat "Dimension lines " CurrentValue " allowed outside the extension lines")) ;; Suppress the display of dimension lines outside the extension lines (vla-put-DimLineInside dimObj :vlax-true) (vla-Regen doc acAllViewports) (alert "Dimension lines are not allowed outside the extension lines") ;; Allow the display of dimension lines outside the extension lines (default) (vla-put-DimLineInside dimObj :vlax-false) (vla-Regen doc acAllViewports) (alert "Dimension lines are allowed outside the extension lines") ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2024-12-15 12:40
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.